//
//  WiFiConnect.h
//  WiMaster_test3
//
//  Created by 石井 孝佳 on 13/08/15.
//  Copyright (c) 2013年 石井 孝佳. All rights reserved.
//

#import <Foundation/Foundation.h>

//ViewControllerに渡す受信イベント
@protocol WiFiRecieiveDelegate<NSObject>

-(void)WiFiDataReceived:(NSMutableData*)data;

@end

//WiFiConnectのヘッダ
@interface WiFiConnect : NSObject<NSStreamDelegate>

@property (readonly, nonatomic) NSString* hostName;
@property (readonly, nonatomic) UInt32 port;
@property (nonatomic) NSInputStream* readStream;
@property (nonatomic) NSOutputStream* writeStream;
@property (nonatomic, assign) id<WiFiRecieiveDelegate> delegate;

-(id)initWithHostName:(NSString*)hostName port:(UInt32)port timeout:(int)timeoutSec;
-(BOOL)openSocket;
-(void)closeSocket;
-(bool)writeData:(const void*)data length:(NSUInteger)len;

@end


